<?php
    if (defined('RETINA_CREATED') === false)
        die('no direct access');
		
	define("CUSTOM_TITLE_LEN", "60");	
	define("CUSTOM_DESC_LEN", "80");	
	define("CUSTOM_LINK_LEN", "150");	
?>


<div class="wrap">
   <a name="retina"></a>
   <h2><?php _e('RetinaPost settings', 'retinapost'); ?></h2>
   <p><?php _e('RetinaPost is one of the most visually appealing and user-friendly CAPTCHA\'s out there. It is an effective way to deliver informations to your community online.', 'retinapost'); ?></p>
   
   
   <?php if (empty($this->options['private_key'])) { ?>
	<form target="_blank" action="<?php echo $this->RetinaPost->get_signup_url(parse_url(get_site_url(),PHP_URL_HOST), 'wordpress', get_bloginfo('admin_email'), 'true');?>" method="post">
		<br/><b><?php _e('Get a private key in your email', 'retinapost'); ?></b>&nbsp;&nbsp;
		<input type="submit" value="<?php _e(' Get key ', 'retinapost'); ?>"/>&nbsp;&nbsp;
		<?php _e('(one copy-paste)', 'retinapost'); ?>
	</form>
   <?php } ?>
   
   <form method="post" action="options.php">
   <?php settings_fields('retinapost_options_group'); ?>
      <h3><?php _e('Your site keys', 'retinapost'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Public Key', 'retinapost'); ?></th>
            <td>
               <input type="text" name="retinapost_options[public_key]" size="60" value="<?php echo	parse_url(get_site_url(),PHP_URL_HOST) ?>"/>
            </td>
         </tr>
         <tr valign="top">
            <th scope="row"><?php _e('Private Key', 'retinapost'); ?></th>
            <td>
               <input type="text" name="retinapost_options[private_key]" size="60" value="<?php echo $this->options['private_key']; ?>" />
            </td>
         </tr>
      </table>
      <p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
      <hr size="2" width="80%" noshade align="left"/>
	  
      <h3><?php _e('Comment Options', 'retinapost'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Activation', 'retinapost'); ?></th>
            <td>
               <input type="checkbox" id ="retinapost_options[show_in_comments]" name="retinapost_options[show_in_comments]" value="1" <?php checked(1, $this->options['show_in_comments']); ?> />
               <label for="retinapost_options[show_in_comments]"><?php _e('Enable for comments form', 'retinapost'); ?></label>
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Target', 'retinapost'); ?></th>
            <td>
               <input type="checkbox" id="retinapost_options[bypass_for_registered_users]" name="retinapost_options[bypass_for_registered_users]" value="1" <?php checked( 1, $this->options['bypass_for_registered_users'] ); ?> />
               <label for="retinapost_options[bypass_for_registered_users]"><?php _e('Hide for Registered Users who can', 'retinapost'); ?></label>
               <?php $this->capabilities_dropdown(); ?>
            </td>
         </tr>

		<tr valign="top">
            <th scope="row"></th>
			<td align="left"><hr size="1" width="30%" noshade align="left"/></td>
         </tr>
		 
         <tr valign="top">
            <th scope="row"><b><?php _e('Feed(RSS)', 'retinapost'); ?></b></th>
			<td>
               URL <input type="text" name="retinapost_options[feed_URL_c]" size="55" value="<?php echo $this->options['feed_URL_c']; ?>" />
			   <br/><small><?php _e('You might use: site feed', 'retinapost');?> <code><? echo get_bloginfo('rss2_url');?></code></small>
			   <br/><small><?php _e('or comments feed', 'retinapost');?> <code><?php echo get_bloginfo('comments_rss2_url'); ?></code></small>
            </td>
         </tr>
         <tr valign="top">
            <th scope="row">--<?php _e('OR', 'retinapost'); ?>--</th>
			<td><?php _e('Show last', 'retinapost'); ?> <input type="text" align="right" name="retinapost_options[feed_limit_c]" size="2" maxlength="2" value="<?php echo $this->options['feed_limit_c']; ?>" /> <?php _e(' feed(s)', 'retinapost'); ?> </td>
         </tr>
	 
		<tr valign="top">
            <th scope="row"><b><?php _e('Custom text', 'retinapost'); ?></b></th>
			<td><small><?php _e('to use Custom text leave empty the feed URL', 'retinapost'); ?></small></td>
         </tr>		 
		<tr valign="top">
            <th scope="row">-><?php _e('Title', 'retinapost'); ?></th>
			<td>
               <input type="text" name="retinapost_options[custom_title_c]" 		size="60" maxlength="<?php echo CUSTOM_TITLE_LEN; ?>" value="<?php echo $this->options['custom_title_c']; ?>" />	<?php echo CUSTOM_TITLE_LEN; _e(' max characters','retinapost');?>      
            </td>
         </tr>		 
		<tr valign="top">
            <th scope="row">-><?php _e('Description', 'retinapost'); ?></th>
			<td>
                <input type="text" name="retinapost_options[custom_description_c]" 	size="60" maxlength="<?php echo CUSTOM_DESC_LEN; ?>"  value="<?php echo $this->options['custom_description_c']; ?>" /> <?php echo CUSTOM_DESC_LEN; _e(' max characters','retinapost');?>
			</td>
         </tr>
		<tr valign="top">
            <th scope="row">-><?php _e('Link', 'retinapost'); ?></th>
			<td>
                <input type="text" name="retinapost_options[custom_link_c]" 		size="60" maxlength="<?php echo CUSTOM_LINK_LEN; ?>"  value="<?php echo $this->options['custom_link_c']; ?>" />		<?php echo CUSTOM_LINK_LEN; _e(' max characters','retinapost');?>
			</td>
         </tr>
		 
		<tr valign="top" style="display:none">
            <th scope="row"></th>
			<td align="left"><hr size="1" width="30%" noshade align="left"/></td>
         </tr>

         <tr valign="top" style="display:none">
            <th scope="row"><?php _e('Tab Index', 'retinapost'); ?></th>
            <td>
               <input type="text" name="retinapost_options[comments_tab_index]" size="10" value="<?php echo $this->options['comments_tab_index']; ?>" />
            </td>
         </tr>
      </table>
	  <p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
      <hr size="2" width="80%" noshade align="left"/>
	  
      <h3><?php _e('Registration Options', 'retinapost'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Activation', 'retinapost'); ?></th>
            <td>
               <input type="checkbox" id ="retinapost_options[show_in_registration]" name="retinapost_options[show_in_registration]" value="1" <?php checked(1, $this->options['show_in_registration']); ?> />
               <label for="retinapost_options[show_in_registration]"><?php _e('Enable for registration form', 'retinapost'); ?></label>
            </td>
         </tr>
         
		<tr valign="top">
            <th scope="row"></th>
			<td align="left"><hr size="1" width="30%" noshade align="left"/></td>
         </tr>
		 
         <tr valign="top">
            <th scope="row"><b><?php _e('Feed(RSS)', 'retinapost'); ?></b></th>
			<td>
               URL <input type="text" name="retinapost_options[feed_URL_r]" size="55" value="<?php echo $this->options['feed_URL_r']; ?>" />
            </td>
         </tr>
         <tr valign="top">
            <th scope="row">--<?php _e('OR', 'retinapost'); ?>--</th>
			<td><?php _e('Show last', 'retinapost'); ?> <input type="text" align="right" name="retinapost_options[feed_limit_r]" size="2" maxlength="2" value="<?php echo $this->options['feed_limit_r']; ?>" /> <?php _e(' feed(s)', 'retinapost'); ?> </td>
         </tr>
	 
		<tr valign="top">
            <th scope="row"><b><?php _e('Custom text', 'retinapost'); ?></b></th>
			<td><small><?php _e('to use Custom text leave empty the feed URL', 'retinapost'); ?></small></td>
         </tr>		 
		<tr valign="top">
            <th scope="row">-><?php _e('Title', 'retinapost'); ?></th>
			<td>
               <input type="text" name="retinapost_options[custom_title_r]" 		size="60" maxlength="<?php echo CUSTOM_TITLE_LEN; ?>" value="<?php echo $this->options['custom_title_r']; ?>" />	<?php echo CUSTOM_TITLE_LEN; _e(' max characters','retinapost');?>      
            </td>
         </tr>		 
		<tr valign="top">
            <th scope="row">-><?php _e('Description', 'retinapost'); ?></th>
			<td>
                <input type="text" name="retinapost_options[custom_description_r]" 	size="60" maxlength="<?php echo CUSTOM_DESC_LEN; ?>"  value="<?php echo $this->options['custom_description_r']; ?>" /> <?php echo CUSTOM_DESC_LEN; _e(' max characters','retinapost');?>
			</td>
         </tr>
		<tr valign="top">
            <th scope="row">-><?php _e('Link', 'retinapost'); ?></th>
			<td>
                <input type="text" name="retinapost_options[custom_link_r]" 		size="60" maxlength="<?php echo CUSTOM_LINK_LEN; ?>"  value="<?php echo $this->options['custom_link_r']; ?>" />		<?php echo CUSTOM_LINK_LEN; _e(' max characters','retinapost');?>
			</td>
         </tr>
         <tr valign="top" style="display:none">
            <th scope="row"><?php _e('Tab Index', 'retinapost'); ?></th>
            <td>
               <input type="text" name="retinapost_options[registration_tab_index]" size="10" value="<?php echo $this->options['registration_tab_index']; ?>" />
            </td>
         </tr>
      </table>
   	  <p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
      <hr size="2" width="80%" noshade align="left"/>
	  
      <h3><?php _e('General Options', 'retinapost'); ?></h3>
      <table class="form-table">
	  
	     <tr valign="top">
            <th scope="row"><?php _e('Call to action', 'retinapost'); ?></th>
            <td>
               <input type="text" name="retinapost_options[call_to_action]" size="60" value="<?php echo $this->options['call_to_action']; ?>" />
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Incorrect message', 'retinapost'); ?></th>
            <td>
               <input type="text" name="retinapost_options[incorrect_response_error]" size="60" value="<?php echo $this->options['incorrect_response_error']; ?>" />
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Standards Compliance', 'retinapost'); ?></th>
            <td>
               <input type="checkbox" id ="retinapost_options[xhtml_compliance]" name="retinapost_options[xhtml_compliance]" value="1" <?php checked(1, $this->options['xhtml_compliance']); ?> />
               <label for="retinapost_options[xhtml_compliance]"><?php _e('Produce XHTML 1.0 Strict Compliant Code', 'retinapost'); ?></label>
            </td>
         </tr>
      </table>

      <p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
   </form>
   
   <?php do_settings_sections('retinapost_options_page'); ?>
</div>